//
// This file was generated by the JavaTM Architecture for XML Binding(JAXB) Reference Implementation, v2.2.8-b130911.1802 
// See <a href="http://java.sun.com/xml/jaxb">http://java.sun.com/xml/jaxb</a> 
// Any modifications to this file will be lost upon recompilation of the source schema. 
// Generated on: 2017.11.02 at 04:00:12 PM BRST 
//

package br.com.grupolibra.dueltrservice.model.siscomex;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.List;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

import com.thoughtworks.xstream.annotations.XStreamAlias;

/**
 * <p>
 * Java class for recepcaoNFE complex type.
 * 
 * <p>
 * The following schema fragment specifies the expected content contained within
 * this class.
 * 
 * <pre>
 * &lt;complexType name="recepcaoNFE">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="identificacaoRecepcao" type="{http://www.pucomex.serpro.gov.br/cct}StringBasica50"/>
 *         &lt;element name="cnpjResp" type="{http://www.pucomex.serpro.gov.br/cct}CNPJ"/>
 *         &lt;element name="local" type="{http://www.pucomex.serpro.gov.br/cct}Local"/>
 *         &lt;element name="referenciaLocalRecepcao" type="{http://www.pucomex.serpro.gov.br/cct}StringBasica150" minOccurs="0"/>
 *         &lt;element name="notasFiscais">
 *           &lt;complexType>
 *             &lt;complexContent>
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                 &lt;sequence>
 *                   &lt;element name="notaFiscalEletronica" type="{http://www.pucomex.serpro.gov.br/cct}NotaFiscalEletronica" maxOccurs="50"/>
 *                 &lt;/sequence>
 *               &lt;/restriction>
 *             &lt;/complexContent>
 *           &lt;/complexType>
 *         &lt;/element>
 *         &lt;element name="transportador" type="{http://www.pucomex.serpro.gov.br/cct}Transportador"/>
 *         &lt;choice>
 *           &lt;element name="pesoAferido" type="{http://www.pucomex.serpro.gov.br/cct}Dec_9v3"/>
 *           &lt;element name="motivoNaoPesagem" type="{http://www.pucomex.serpro.gov.br/cct}StringBasica250"/>
 *         &lt;/choice>
 *         &lt;element name="localArmazenamento" type="{http://www.pucomex.serpro.gov.br/cct}StringBasica150" minOccurs="0"/>
 *         &lt;element name="codigoIdentCarga" type="{http://www.pucomex.serpro.gov.br/cct}NumeroRUC" minOccurs="0"/>
 *         &lt;element name="avariasIdentificadas" type="{http://www.pucomex.serpro.gov.br/cct}StringBasica250" minOccurs="0"/>
 *         &lt;element name="divergenciasIdentificadas" type="{http://www.pucomex.serpro.gov.br/cct}StringBasica250" minOccurs="0"/>
 *         &lt;element name="observacoesGerais" type="{http://www.pucomex.serpro.gov.br/cct}StringBasica250" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "recepcaoNFE", propOrder = { "identificacaoRecepcao", "cnpjResp", "local", "referenciaLocalRecepcao",
		"notasFiscais", "transportador", "pesoAferido", "motivoNaoPesagem", "localArmazenamento", "codigoIdentCarga",
		"avariasIdentificadas", "divergenciasIdentificadas", "observacoesGerais" })
public class RecepcaoNFE {

	@XmlElement(required = true)
	protected String identificacaoRecepcao;

	@XmlElement(required = true)
	protected String cnpjResp;

	@XmlElement(required = true)
	protected Local local;

	protected String referenciaLocalRecepcao;

	@XStreamAlias("notasFiscais")
	protected List<NotaFiscalEletronica> notasFiscais = new ArrayList<>();

	@XmlElement(required = true)
	protected Transportador transportador;

	protected BigDecimal pesoAferido;

	protected String motivoNaoPesagem;

	protected String localArmazenamento;

	protected String codigoIdentCarga;

	protected String avariasIdentificadas;

	protected String divergenciasIdentificadas;

	protected String observacoesGerais;

	/**
	 * Gets the value of the identificacaoRecepcao property.
	 * 
	 * @return possible object is {@link String }
	 * 
	 */
	public String getIdentificacaoRecepcao() {
		return identificacaoRecepcao;
	}

	/**
	 * Sets the value of the identificacaoRecepcao property.
	 * 
	 * @param value
	 *            allowed object is {@link String }
	 * 
	 */
	public void setIdentificacaoRecepcao(String value) {
		this.identificacaoRecepcao = value;
	}

	/**
	 * Gets the value of the cnpjResp property.
	 * 
	 * @return possible object is {@link String }
	 * 
	 */
	public String getCnpjResp() {
		return cnpjResp;
	}

	/**
	 * Sets the value of the cnpjResp property.
	 * 
	 * @param value
	 *            allowed object is {@link String }
	 * 
	 */
	public void setCnpjResp(String value) {
		this.cnpjResp = value;
	}

	/**
	 * Gets the value of the local property.
	 * 
	 * @return possible object is {@link Local }
	 * 
	 */
	public Local getLocal() {
		return local;
	}

	/**
	 * Sets the value of the local property.
	 * 
	 * @param value
	 *            allowed object is {@link Local }
	 * 
	 */
	public void setLocal(Local value) {
		this.local = value;
	}

	/**
	 * Gets the value of the referenciaLocalRecepcao property.
	 * 
	 * @return possible object is {@link String }
	 * 
	 */
	public String getReferenciaLocalRecepcao() {
		return referenciaLocalRecepcao;
	}

	/**
	 * Sets the value of the referenciaLocalRecepcao property.
	 * 
	 * @param value
	 *            allowed object is {@link String }
	 * 
	 */
	public void setReferenciaLocalRecepcao(String value) {
		this.referenciaLocalRecepcao = value;
	}

	/**
	 * Gets the value of the notasFiscais property.
	 * 
	 * @return possible object is {@link RecepcaoNFE.NotasFiscais }
	 * 
	 */

	/**
	 * Sets the value of the notasFiscais property.
	 * 
	 * @param value
	 *            allowed object is {@link RecepcaoNFE.NotasFiscais }
	 * 
	 */
	public void setNotasFiscais(List<NotaFiscalEletronica> notasFiscais) {
		this.notasFiscais = notasFiscais;
	}

	/**
	 * Gets the value of the transportador property.
	 * 
	 * @return possible object is {@link Transportador }
	 * 
	 */
	public Transportador getTransportador() {
		return transportador;
	}

	/**
	 * Sets the value of the transportador property.
	 * 
	 * @param value
	 *            allowed object is {@link Transportador }
	 * 
	 */
	public void setTransportador(Transportador value) {
		this.transportador = value;
	}

	/**
	 * Gets the value of the pesoAferido property.
	 * 
	 * @return possible object is {@link BigDecimal }
	 * 
	 */
	public BigDecimal getPesoAferido() {
		return pesoAferido;
	}

	/**
	 * Sets the value of the pesoAferido property.
	 * 
	 * @param value
	 *            allowed object is {@link BigDecimal }
	 * 
	 */
	public void setPesoAferido(BigDecimal value) {
		this.pesoAferido = value;
	}

	/**
	 * Gets the value of the motivoNaoPesagem property.
	 * 
	 * @return possible object is {@link String }
	 * 
	 */
	public String getMotivoNaoPesagem() {
		return motivoNaoPesagem;
	}

	/**
	 * Sets the value of the motivoNaoPesagem property.
	 * 
	 * @param value
	 *            allowed object is {@link String }
	 * 
	 */
	public void setMotivoNaoPesagem(String value) {
		this.motivoNaoPesagem = value;
	}

	/**
	 * Gets the value of the localArmazenamento property.
	 * 
	 * @return possible object is {@link String }
	 * 
	 */
	public String getLocalArmazenamento() {
		return localArmazenamento;
	}

	/**
	 * Sets the value of the localArmazenamento property.
	 * 
	 * @param value
	 *            allowed object is {@link String }
	 * 
	 */
	public void setLocalArmazenamento(String value) {
		this.localArmazenamento = value;
	}

	/**
	 * Gets the value of the codigoIdentCarga property.
	 * 
	 * @return possible object is {@link String }
	 * 
	 */
	public String getCodigoIdentCarga() {
		return codigoIdentCarga;
	}

	/**
	 * Sets the value of the codigoIdentCarga property.
	 * 
	 * @param value
	 *            allowed object is {@link String }
	 * 
	 */
	public void setCodigoIdentCarga(String value) {
		this.codigoIdentCarga = value;
	}

	/**
	 * Gets the value of the avariasIdentificadas property.
	 * 
	 * @return possible object is {@link String }
	 * 
	 */
	public String getAvariasIdentificadas() {
		return avariasIdentificadas;
	}

	/**
	 * Sets the value of the avariasIdentificadas property.
	 * 
	 * @param value
	 *            allowed object is {@link String }
	 * 
	 */
	public void setAvariasIdentificadas(String value) {
		this.avariasIdentificadas = value;
	}

	/**
	 * Gets the value of the divergenciasIdentificadas property.
	 * 
	 * @return possible object is {@link String }
	 * 
	 */
	public String getDivergenciasIdentificadas() {
		return divergenciasIdentificadas;
	}

	/**
	 * Sets the value of the divergenciasIdentificadas property.
	 * 
	 * @param value
	 *            allowed object is {@link String }
	 * 
	 */
	public void setDivergenciasIdentificadas(String value) {
		this.divergenciasIdentificadas = value;
	}

	/**
	 * Gets the value of the observacoesGerais property.
	 * 
	 * @return possible object is {@link String }
	 * 
	 */
	public String getObservacoesGerais() {
		return observacoesGerais;
	}

	/**
	 * Sets the value of the observacoesGerais property.
	 * 
	 * @param value
	 *            allowed object is {@link String }
	 * 
	 */
	public void setObservacoesGerais(String value) {
		this.observacoesGerais = value;
	}

	/**
	 * <p>
	 * Java class for anonymous complex type.
	 * 
	 * <p>
	 * The following schema fragment specifies the expected content contained within
	 * this class.
	 * 
	 * <pre>
	 * &lt;complexType>
	 *   &lt;complexContent>
	 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
	 *       &lt;sequence>
	 *         &lt;element name="notaFiscalEletronica" type="{http://www.pucomex.serpro.gov.br/cct}NotaFiscalEletronica" maxOccurs="50"/>
	 *       &lt;/sequence>
	 *     &lt;/restriction>
	 *   &lt;/complexContent>
	 * &lt;/complexType>
	 * </pre>
	 * 
	 * 
	 */
	@XmlAccessorType(XmlAccessType.FIELD)
	@XmlType(name = "", propOrder = { "notaFiscalEletronica" })
	public static class NotasFiscais {

		@XmlElement(required = true)
		protected List<NotaFiscalEletronica> notaFiscalEletronica;

		/**
		 * Gets the value of the notaFiscalEletronica property.
		 * 
		 * <p>
		 * This accessor method returns a reference to the live list, not a snapshot.
		 * Therefore any modification you make to the returned list will be present
		 * inside the JAXB object. This is why there is not a <CODE>set</CODE> method
		 * for the notaFiscalEletronica property.
		 * 
		 * <p>
		 * For example, to add a new item, do as follows:
		 * 
		 * <pre>
		 * getNotaFiscalEletronica().add(newItem);
		 * </pre>
		 * 
		 * 
		 * <p>
		 * Objects of the following type(s) are allowed in the list
		 * {@link NotaFiscalEletronica }
		 * 
		 * 
		 */
		public List<NotaFiscalEletronica> getNotaFiscalEletronica() {
			if (notaFiscalEletronica == null) {
				notaFiscalEletronica = new ArrayList<>();
			}
			return this.notaFiscalEletronica;
		}

	}

}
